## Function fix_namespaces

zeep::xml::fix_namespaces — This method fixes namespace attribute when transferring an element from one document to another (replaces prefixes e.g.)

## Synopsis

    // In header: <zeep/xml/node.hpp>

    void fix_namespaces(element & e, element & source, element & dest);

## Description

When moving an element from one document to another, we need to fix the namespaces, make sure the destination has all the namespace specifications required by the element and make sure the prefixes used are correct.

Parameters:

`dest` | The (usually) document element that is the destination
`e` | The element that is being transferred
`source` | The (usually) document element that was the source